%perl_module Unicode-String 2.07 7

Summary: String of Unicode characters (UCS2/UTF16).
Group: Development/Libraries
License: Artistic
URL: http://search.cpan.org/dist/%{pkgname}/
Source: http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl(MIME::Base64)

%description
These are experimental modules to handle various Unicode issues.  They
were made before perl included native UTF8 support.

More information on what Unicode is and can do for you are to be found
at http://www.unicode.org

The current set of modules are:

  Unicode::String   - represent strings of Unicode chars
  Unicode::CharName - look up character names
  Unicode::Map8     - mapping tables towards 8-bit char sets

(the Unicode::Map8 module is distributed separately)

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes
%{perl_vendorarch}/Unicode
%{perl_vendorarch}/auto/Unicode
%{perl_man3dir}/Unicode::CharName.3pm*
%{perl_man3dir}/Unicode::String.3pm*

%changelog
* Sun Aug 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

